Index: udev/35-helper.rules
===================================================================
--- udev/35-helper.rules	(revision 8359ebcf1eaad38bc7ffdc9ddacbbe9447364b47)
+++ udev/35-helper.rules	(revision dfdebf6235247ce0431bc9883ffdbfa095b4b6e2)
@@ -19,7 +19,7 @@
 
 # check cdrom helper
-BUS=="ide",	KERNEL=="hd[a-z]", ACTION=="add", IMPORT="/sbin/cdrom_id --export $tempnode"
-BUS=="scsi",	KERNEL=="sr[0-9]*", ACTION=="add", IMPORT="/sbin/cdrom_id --export $tempnode"
-BUS=="scsi",	KERNEL="scd[a-z]", ACTION=="add", IMPORT="/sbin/cdrom_id --export $tempnode"
+BUS=="ide",	KERNEL=="hd[a-z]", ACTION=="add", IMPORT="cdrom_id --export $tempnode"
+BUS=="scsi",	KERNEL=="sr[0-9]*", ACTION=="add", IMPORT="cdrom_id --export $tempnode"
+BUS=="scsi",	KERNEL="scd[a-z]", ACTION=="add", IMPORT="cdrom_id --export $tempnode"
 BUS=="scsi",	KERNEL=="sg[0-9]*", ACTION=="add", DRIVER=="sr", GROUP="cdrom"
 
Index: udev/60-persistent-disk.rules
===================================================================
--- udev/60-persistent-disk.rules	(revision 8359ebcf1eaad38bc7ffdc9ddacbbe9447364b47)
+++ udev/60-persistent-disk.rules	(revision dfdebf6235247ce0431bc9883ffdbfa095b4b6e2)
@@ -28,13 +28,13 @@
 
 # by-id (hardware serial number)
-KERNEL=="hd*[!0-9]",	IMPORT{program}="/sbin/ata_id --export $tempnode"
+KERNEL=="hd*[!0-9]",	IMPORT{program}="ata_id --export $tempnode"
 KERNEL=="hd*[!0-9]",	ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}"
 KERNEL=="hd*[0-9]",	IMPORT{parent}=="ID_*", SYMLINK+="disk/by-id/ata-$env{ID_MODEL}_$env{ID_SERIAL}-part%n"
 
 KERNEL=="sd*[!0-9]|sr*",		SYSFS{ieee1394_id}=="*", ENV{ID_SERIAL}="$sysfs{ieee1394_id}", ENV{ID_BUS}="ieee1394"
-KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/usb_id -x"
-KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -s %p -d $tempnode"
-KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="/sbin/scsi_id -g -x -a -s %p -d $tempnode"
-KERNEL=="dasd*[!0-9]",			IMPORT{program}="/sbin/dasd_id --export $tempnode"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="usb_id -x"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="scsi_id -g -x -s %p -d $tempnode"
+KERNEL=="sd*[!0-9]|sr*",		ENV{ID_SERIAL}=="", IMPORT{program}="scsi_id -g -x -a -s %p -d $tempnode"
+KERNEL=="dasd*[!0-9]",			IMPORT{program}="dasd_id --export $tempnode"
 KERNEL=="sd*[!0-9]|sr*|dasd*[!0-9]",	ENV{ID_SERIAL}=="?*", SYMLINK+="disk/by-id/$env{ID_BUS}-$env{ID_SERIAL}"
 
@@ -44,5 +44,5 @@
 
 # by-path (shortest physical path)
-KERNEL=="*[!0-9]|sr*",	ENV{ID_TYPE}=="?*", IMPORT{program}="/sbin/path_id %p", SYMLINK+="disk/by-path/$env{ID_PATH}"
+KERNEL=="*[!0-9]|sr*",	ENV{ID_TYPE}=="?*", IMPORT{program}="path_id %p", SYMLINK+="disk/by-path/$env{ID_PATH}"
 KERNEL=="sr*",		GOTO="persistent_end"
 KERNEL=="*[0-9]",	IMPORT{parent}=="ID_*"
@@ -51,10 +51,10 @@
 # by-label/by-uuid (filesystem properties)
 KERNEL=="*[!0-9]",		SYSFS{removable}=="1", GOTO="persistent_end"
-IMPORT{program}="/sbin/vol_id --export $tempnode"
+IMPORT{program}="vol_id --export $tempnode"
 ENV{ID_FS_UUID}=="?*",		SYMLINK+="disk/by-uuid/$env{ID_FS_UUID}"
 ENV{ID_FS_LABEL_SAFE}=="?*",	SYMLINK+="disk/by-label/$env{ID_FS_LABEL_SAFE}"
 
 # BIOS Enhanced Disk Device
-KERNEL=="*[!0-9]",	IMPORT{program}="/sbin/edd_id --export $tempnode"
+KERNEL=="*[!0-9]",	IMPORT{program}="edd_id --export $tempnode"
 KERNEL=="*[!0-9]",	ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}"
 KERNEL=="*[0-9]",	ENV{ID_EDD}=="?*", SYMLINK+="disk/by-id/edd-$env{ID_EDD}-part%n"
Index: udev/61-persistent-input.rules
===================================================================
--- udev/61-persistent-input.rules	(revision 8359ebcf1eaad38bc7ffdc9ddacbbe9447364b47)
+++ udev/61-persistent-input.rules	(revision dfdebf6235247ce0431bc9883ffdbfa095b4b6e2)
@@ -20,5 +20,5 @@
 
 # usb devices
-BUS=="usb", IMPORT{program}="/sbin/usb_id -x"
+BUS=="usb", IMPORT{program}="usb_id -x"
 BUS=="usb", SYSFS{bInterfaceClass}="03", SYSFS{bInterfaceProtocol}="01", ENV{ID_CLASS}="kbd"
 BUS=="usb", SYSFS{bInterfaceClass}="03", SYSFS{bInterfaceProtocol}="02", ENV{ID_CLASS}="mouse"
@@ -29,5 +29,5 @@
 
 # by-path
-IMPORT{program}="/sbin/path_id %p"
+IMPORT{program}="path_id %p"
 ENV{ID_PATH}=="?*", KERNEL=="mouse*", SYMLINK+="input/by-path/$env{ID_PATH}-$env{ID_CLASS}"
 ENV{ID_PATH}=="?*", KERNEL=="event*", SYMLINK+="input/by-path/$env{ID_PATH}-$env{ID_CLASS}"
